Package org.drinkless.tdlib

# Class TdApi.JoinGroupCall

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Text>
org.drinkless.tdlib.TdApi.JoinGroupCall

Enclosing class:
  TdApi

public static class TdApi.JoinGroupCall extends TdApi.Function<TdApi.Text>
Joins an active group call. Returns join response payload for tgcalls.

Returns `Text`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `audioSourceId`
  Caller audio channel synchronization source identifier; received from tgcalls.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Group call identifier.
  `String`
  `inviteHash`
  If non-empty, invite hash to be used to join the group call without being muted by administrators.
  `boolean`
  `isMuted`
  Pass true to join the call with muted microphone.
  `boolean`
  `isMyVideoEnabled`
  Pass true if the user's video is enabled.
  `TdApi.MessageSender`
  `participantId`
  Identifier of a group call participant, which will be used to join the call; pass null to join as self; video chats only.
  `String`
  `payload`
  Group call join payload; received from tgcalls.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JoinGroupCall()`
  Default constructor for a function, which joins an active group call.
  `JoinGroupCall(int groupCallId, TdApi.MessageSender participantId, int audioSourceId, String payload, boolean isMuted, boolean isMyVideoEnabled, String inviteHash)`
  Creates a function, which joins an active group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier.

  - ### participantId

    public TdApi.MessageSender participantId
    Identifier of a group call participant, which will be used to join the call; pass null to join as self; video chats only.

  - ### audioSourceId

    public int audioSourceId
    Caller audio channel synchronization source identifier; received from tgcalls.

  - ### payload

    public String payload
    Group call join payload; received from tgcalls.

  - ### isMuted

    public boolean isMuted
    Pass true to join the call with muted microphone.

  - ### isMyVideoEnabled

    public boolean isMyVideoEnabled
    Pass true if the user's video is enabled.

  - ### inviteHash

    public String inviteHash
    If non-empty, invite hash to be used to join the group call without being muted by administrators.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JoinGroupCall

    public JoinGroupCall()
    Default constructor for a function, which joins an active group call. Returns join response payload for tgcalls.

    Returns `Text`

  - ### JoinGroupCall

    public JoinGroupCall(int groupCallId, TdApi.MessageSender participantId, int audioSourceId, String payload, boolean isMuted, boolean isMyVideoEnabled, String inviteHash)
    Creates a function, which joins an active group call. Returns join response payload for tgcalls.

    Returns `Text`

    Parameters:
      `groupCallId` - Group call identifier.
      `participantId` - Identifier of a group call participant, which will be used to join the call; pass null to join as self; video chats only.
      `audioSourceId` - Caller audio channel synchronization source identifier; received from tgcalls.
      `payload` - Group call join payload; received from tgcalls.
      `isMuted` - Pass true to join the call with muted microphone.
      `isMyVideoEnabled` - Pass true if the user's video is enabled.
      `inviteHash` - If non-empty, invite hash to be used to join the group call without being muted by administrators.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Text>`
    Returns:
      this.CONSTRUCTOR